# Copyright (C) 2026 BoundWare LLC. All rights reserved.
# SnacTrac is licensed under the Apache License, Version 2.0
# See Licenses/LICENSE.txt for details.


from convert_money import *
from get_marker_empty import *


# Return formatted items data for items window.
def format_items_admin(data_items):

    data_items_formatted = [item.copy() for item in data_items]

    for item in data_items_formatted:

        item[2] = convert_money(item[2])

        item[3] = convert_money(item[3])

        if item[5] == None:

            item[5] = get_marker_empty()

    return data_items_formatted
